main()
{
	precacheFX();
	spawnWorldFX();
}

precacheFX()
{
	level._effect["battlefield_smokebank_S"] = loadfx ("fx/smoke/battlefield_smokebank_S.efx");
	level._effect["insects_carcass_flies"] = loadfx ("fx/misc/insects_carcass_flies.efx");
	level._effect["building_fire_large"] = loadfx ("fx/fire/building_fire_large.efx");
	level._effect["flak_explosion"] = loadfx("fx/explosions/flak88_explosion.efx");
	level._effect["thin_light_smoke_M_duhoc"] = loadfx("fx/smoke/thin_light_smoke_M_duhoc.efx");
	level._effect["ground_fire_small_oneshot"] = loadfx("fx/fire/ground_fire_small_oneshot.efx");
	level._effect["tank_fire_engine"] = loadfx ("fx/fire/tank_fire_engine.efx");
	level._effect["smoke_plumeBG"] = loadfx ("fx/smoke/smoke_plumeBG.efx");
}

spawnWorldFX()
{
	//smoke
	maps\mp\_fx::loopfx("smoke_plumeBG", (9338.0, -7034.0, 312), 1.0);
	maps\mp\_fx::loopfx("smoke_plumeBG", (6152.0, -6842.0, 346), 1.0);
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (5934.0, -4770.0, 312), 1.0);
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (9120.0, -4552.0, 352), 1.0);
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (3048.0, 144.0, 312), 1.0);
	//maps\mp\_fx::loopfx("heavy_smoke", (9312,-6996,312), 0.3, (1424,272,312));
	//maps\mp\_fx::loopfx("heavy_smoke", (6126,-5076,286), 0.3, (1424,272,312));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (5664.0, -6648.0, 328), 1.0);
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (64.0,-1520.0, 320), 1.0);
	maps\mp\_fx::loopfx("thin_light_smoke_M_duhoc", (856.0, -1752.0, 312.0), 1.0);
	maps\mp\_fx::loopfx("thin_light_smoke_M_duhoc", (3720.0, -1412.0, 312.0), 1.0);
	maps\mp\_fx::loopfx("thin_light_smoke_M_duhoc", (2488.0, -864.0, 312.0), 1.0);

	//misc
	maps\mp\_fx::loopfx("insects_carcass_flies", (8586.0, -6530.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (4374.0, -2586.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (6706.0, -4380.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (6904.0, -4828.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (6582.0, -4770.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (6384.0, -4758.0, 320), 0.3);
	maps\mp\_fx::loopfx("insects_carcass_flies", (6454.0, -4540.0, 320), 0.3);
	
	//fire
	maps\mp\_fx::loopfx("tank_fire_engine", (9112.0, -4542.0, 346.0), 2.0);
	maps\mp\_fx::loopfx("tank_fire_engine", (8638.0, -4338.0, 338.0), 2.0);
	maps\mp\_fx::loopfx("building_fire_large", (9312.0, -6996.0, 302.0), 2.0);
	maps\mp\_fx::loopfx("building_fire_large", (6160.0, -6856.0, 312.0), 2.0);
	maps\mp\_fx::loopfx("ground_fire_small_oneshot", (8600.0,-6352.0,300.0), 2.0);
	maps\mp\_fx::loopfx("ground_fire_small_oneshot", (8176.0,-2728.0,312.0), 2.0);

	//amb_emmitters
	maps\mp\_fx::soundfx("motsflys", (8586.0, -6530.0, 320));
	maps\mp\_fx::soundfx("motsflys", (4374.0, -2586.0, 320));
	maps\mp\_fx::soundfx("motsflys", (6706.0, -4380.0, 320));
	maps\mp\_fx::soundfx("motsflys", (6904.0, -4828.0, 320));
	maps\mp\_fx::soundfx("motsflys", (6582.0, -4770.0, 320));
	maps\mp\_fx::soundfx("motsflys", (6384.0, -4758.0, 320));
	maps\mp\_fx::soundfx("motsflys", (6454.0, -4540.0, 320));
 	maps\mp\_fx::soundfx("medfire", (9112.0, -4542.0, 346.0));
	maps\mp\_fx::soundfx("medfire", (8638.0, -4338.0, 338.0));
	maps\mp\_fx::soundfx("medfire", (8600.0,-6352.0,304.0));
	maps\mp\_fx::soundfx("medfire", (8176.0,-2728.0,312.0));
	maps\mp\_fx::soundfx("bigfire", (9312.0, -6996.0, 302.0));
	maps\mp\_fx::soundfx("bigfire", (6160.0, -6856.0, 400.0));
	maps\mp\_fx::soundfx("radio", (1664,-7640,312));
	maps\mp\_fx::soundfx("radio", (1472,-6424,512));
	maps\mp\_fx::soundfx("dog1", (8608.0, -3744.0, 273.0));
	maps\mp\_fx::soundfx("dog2", (8608.0, -3688.0, 280.0));
}
